/*************************************************************/
/*                                                           */
/*  HYGROI2CDemo -- Definition for HYGROI2C Arduino IDE Demo */
/*                                                           */
/*************************************************************/
/*  Author:   Arthur Brown                                   */
/*  Copyright 2017, Digilent Inc.                            */
/*************************************************************/
/*  File Description:                                        */
/*    This file defines a simple usage of the Pmod HYGRO     */
/*    tested with a chipKIT Pro MX4 and WF32.                */
/*    If you have any questions, please visit the Add-on     */
/*    Boards section of the Digilent Forums.                 */
/*************************************************************/
/*  Revision History:                                        */
/*  01/30/2017(ArtVVB): created                              */
/*************************************************************/

#include <HYGROI2C.h>

HYGROI2C myHYGRO;

void setup() {
  myHYGRO.begin(); // start and configure the HYGRO I2C connection
  Serial.begin(9600); // start the serial port connection at 9600 baud
}

void loop() {
  // Capture and print temperature and humidity data 2x per second
  float t, h;
  char msg[80];
  t = myHYGRO.getTemperature();
  h = myHYGRO.getHumidity();
  sprintf(msg, "TEMPERATURE=%.2f degrees Celsius; HUMIDITY=%.2f percent Relative Humidity\n", t, h);
  Serial.print(msg);
  delay(1000); // 1 sample per second (temp + humidity) maximum
}
